import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class MyButton extends StatelessWidget {
  final double width;
  final double height;
  final Color color;
  final Widget child;
  final Function onPress;
  final bool isLoading;
  final double borderRadius;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;

  const MyButton({Key key,this.isLoading=false,this.borderRadius=12,this.color=Colors.deepOrange, this.width, this.height =
  50, @required
  this.onPress,
    @required
    this.child, this.margin, this.padding}) : super
      (key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin:margin ,
      padding: padding,
      child: SizedBox(
        width: width,
        height: height,
        child: RaisedButton(
          padding: EdgeInsets.all(0),
          color: color,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(borderRadius),
          ),
          onPressed: onPress,
          child: Center(child:isLoading?SpinKitCircle(color: Colors.white,size: height*0.8,): child,),
        ),
      ),
    );
  }
}
